Page MenuHomePhabricator

ULS IME does not work in Content Translation
Closed, ResolvedPublic1 Story Points

Description

Universal Language Selector's Input Method Editor does not work properly in Content Translation.

To reproduce this bug:

  1. go to Esperanto Wikipedia, enable Content Translation in Beta
  2. go to Content Translation, elect some hazard article to translate
  3. in translation area in ULS IME elect Input method "Esperanto" →"Esperanto x sistemo"
  4. type "ehxosxangxo cxiujxauxde"

It should change itself during typing to "eĥoŝanĝo ĉiuĵaŭde", but does not do this.

Event Timeline

KuboF created this task.Feb 2 2015, 12:42 PM
KuboF updated the task description. (Show Details)
KuboF raised the priority of this task from to Needs Triage.
KuboF added a subscriber: KuboF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 2 2015, 12:42 PM
santhosh set Security to None.
santhosh triaged this task as Normal priority.Feb 3 2015, 11:46 AM
santhosh added a subscriber: santhosh.

Javascript error trace:

Uncaught TypeError: undefined is not a function query.ime.js:602
 getDivCaretPosition jquery.ime.js:460
 getCaretPosition jquery.ime.js:342
 IME.getCaretPosition jquery.ime.js:166

The line sel = rangy.getSelection(); is failing saying getSelection method not present in rangy instance. Must be a rangy API mismatch.

It works if I run rangy.init() on console after clicking on a section (which loads the rangy module) but before typing.

Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:52 AM
Arrbee edited projects, added LE-Sprint-86; removed LE-Sprint-85.Apr 14 2015, 9:14 AM
Nikerabbit edited a custom field.Apr 21 2015, 9:21 AM

Change 207412 had a related patch set uploaded (by Santhosh):
Update jquery.ime to v0.1.0 20150429

https://gerrit.wikimedia.org/r/207412

santhosh moved this task from Backlog to In Review on the LE-Sprint-86 board.

Change 207412 merged by jenkins-bot:
Update jquery.ime to v0.1.0 20150429

https://gerrit.wikimedia.org/r/207412

KartikMistry moved this task from In Review to Done on the LE-Sprint-86 board.Apr 29 2015, 3:47 PM
Nikerabbit closed this task as Resolved.Apr 30 2015, 10:15 AM